sensorfw: AccelerometerAdaptor Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
AccelerometerAdaptor Class Reference

Adaptor for internal accelerometer. More...

`#include <accelerometeradaptor.h>`

Inheritance diagram for AccelerometerAdaptor:

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()
virtual bool | standby ()
virtual bool | resume ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of AccelerometerAdaptor class. More...

## Protected Member Functions
| AccelerometerAdaptor (const QString &id)
| Constructor. More...
| ~AccelerometerAdaptor ()
virtual unsigned int | evaluateIntervalRequests (int &sessionId) const
| Reimplement to allow for 0 interval to be the slowest entry. More...

## Detailed Description

Adaptor for internal accelerometer.

Adaptor for internal accelerometer. Uses SysFs driver interface in interval polling mode, i.e. values are read with given constant interval.

Driver interface is located in /sys/class/i2c-adapter/i2c-3/3-001d/ .

- coord filehandle provides measurement values.

No other filehandles are currently in use by this adaptor.

Definition at line 46 of file accelerometeradaptor.h.

## Constructor & Destructor Documentation

## ◆ AccelerometerAdaptor()

AccelerometerAdaptor::AccelerometerAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~AccelerometerAdaptor()

AccelerometerAdaptor::~AccelerometerAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ evaluateIntervalRequests()

virtual unsigned int AccelerometerAdaptor::evaluateIntervalRequests | ( | int & | sessionId | ) | const
| protectedvirtual

Reimplement to allow for 0 interval to be the slowest entry.

## ◆ factoryMethod()

static DeviceAdaptor* AccelerometerAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of AccelerometerAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 54 of file accelerometeradaptor.h.

## ◆ resume()

virtual bool AccelerometerAdaptor::resume | ( |  | ) |
| virtual

## ◆ standby()

virtual bool AccelerometerAdaptor::standby | ( |  | ) |
| virtual

## ◆ startSensor()

virtual bool AccelerometerAdaptor::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void AccelerometerAdaptor::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/accelerometeradaptor/accelerometeradaptor.h